import type {NextAuthConfig} from 'next-auth'

//import 'server-only'

export default {
	// pages: {
	// 	signIn: '/auth/login',
	// 	//signOut: '/auth/register',
	// 	newUser: '/auth/register',
	// 	error: '/auth/error',
	// 	verifyRequest: '/auth/verify-request'
	// },

	callbacks: {
		authorized({auth}) {
			return !!auth?.user
		}
	},
	providers: []
} satisfies NextAuthConfig
